// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;

namespace DsPdfWeb.Demos
{
    // DsPdf を使用して「Hello、World！」 PDF を作成する、
    // 最も簡単な方法の１つです。
    public class HelloWorld
    {
        public int CreatePDF(Stream stream)
        {
            // 新規 PDF ドキュメントを作成します。
            var doc = new GcPdfDocument();
            // ページを追加し、そのグラフィックスを取得します。
            var g = doc.NewPage().Graphics;
            // ページに文字列を描画します。
            // メモ:
            // - DsPdf のページ座標は、デフォルトで 72 dpi を使用して左上隅から始まります。
            // - 標準のフォントを使用します（14個の標準 PDF フォントは DsPdf に組み込まれており、
            //   常に利用可能です）：
            g.DrawString("Hello, World!" + Environment.NewLine + "こんにちは、DioDocs（ディオドック）です",
                new TextFormat() { Font = StandardFonts.Times, FontSize = 12 },
                new PointF(72, 72));
            // PDF を保存します。
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
